Content

Before upgrading or migrating

从一个主要的Apache Tomcat版本更新到一个较新的版本时,请确保系统上安装的JVM至少支持所需的Java版本. 虽然Tomcat的旧版本可能与新的JVM不兼容,但是已知所有当前受支持的Apache Tomcat版本(7.0.x,8.5.x和9.0.x)都可以在Java 8 JVM上正确运行.

从一个主要的Tomcat版本迁移到另一个主要版本(例如,从Tomcat 7迁移到Tomcat 8,或从Tomcat 8迁移到Tomcat 8.5)时,不应将配置文件从旧版本复制到新版本. 推荐的方法是从新版本的Apache Tomcat的默认配置开始,并根据需要进行调整.

从一个次要版本迁移到同一主要版本中的另一个次要版本(例如,从Tomcat 7.0.27迁移到Tomcat 7.0.28)时,您可以保留配置文件,但应检查是否更改了默认值和/或已添加任何新元素,并相应地调整您的配置文件.

Migration Guides

要在9.0.x版本之间进行升级,请参见《 Tomcat 9.0.x迁移指南》的升级部分.

有关从8.0.x / 8.5.x到9.0.x的迁移 ,请参阅《 Tomcat 9.0.x迁移指南》 .

要在8.5.x版本之间进行升级,请参阅《 Tomcat 8.5.x迁移指南》的升级部分.

有关从8.0.x到8.5.x的迁移,请参阅《 Tomcat 8.5.x迁移指南》 .

要在8.0.x版本之间进行升级,请参见《 Tomcat 8.0.x迁移指南》的升级部分.

有关从7.0.x到8.0.x的迁移,请参阅《 Tomcat 8.0.x迁移指南》 .

要在7.0.x版本之间进行升级,请参见《 Tomcat 7.0.x迁移指南》的升级部分.

有关从6.0.x到7.0.x的迁移,请参阅《 Tomcat 7.0.x迁移指南》 .

要在6.0.x版本之间进行升级,请参见《 Tomcat 6.0.x迁移指南》的升级部分.

有关从5.5.x到6.0.x的迁移,请参阅《 Tomcat 6.0.x迁移指南》 .

by  ICOPY.SITE